# Get run requests

Source: <https://everruns.com/docs/api/operations/get_run_requests/>

[Docs](https://everruns.com/docs/)/[API reference](https://everruns.com/docs/api/)/[Sessions & workspaces](https://everruns.com/docs/api/groups/sessions-workspaces/)/Get run requests

# Get run requests

Preview

Questions and approvals that the agents this session handed work to wait on. Empty unless the session is a run’s first session.

Public APIEverruns Cloud and self-hosted Platform

GET`/v1/sessions/{session_id}/run-requests`

See [authentication](https://everruns.com/docs/sre/runbooks/authentication/) for credentials and permissions.

## Parameters

### Path Parameters

**session_id**

required

string

Session ID (prefixed, e.g., session\_…)

## Responses

200Requests from the other agents in the run

### 200

Requests from the other agents in the run

Media typeapplication/json

What the other agents in a run wait on the person for.

object

**requests**

required

Array\<object>

One request from another agent in the run.

object

**agent**

One of:

* object

  The asking agent. Absent when the agent was deleted.

  object

  **id**

  required

  The agent’s id, as `/v1/agents/{agent_id}` takes it.

  string

  **name**

  required

  The agent’s display name.

  string

* null

  null

**requested_at**

required

string format: date-time

**session_id**

required

The asking agent’s session.

string

**tool_call**

required

A tool call another agent in the run waits on the person for.

object

**arguments**

required

object

**id**

required

string

**name**

required

`ask_user`, `approve_tool_call`, `openai_mcp_approval`, `confirm_url_elicitation` or `setup_connection`.

string

### Example

```json
{
  "requests": [
    {
      "agent": {
        "id": "agent_01933b5a00007000800000000000001",
        "name": "Research Assistant"
      },
      "requested_at": "2026-11-03T10:15:00Z",
      "session_id": "session_01933b5a00007000800000000000001",
      "tool_call": {
        "id": "call_approval_1",
        "name": "approve_tool_call"
      }
    }
  ]
}
```

400Invalid session ID

### 400

Invalid session ID

404Session not found

### 404

Session not found

500Internal server error

### 500

Internal server error

FetchcURL

Request

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/run-requests';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

Request

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/sessions/example/run-requests
```

Additional language examples require JavaScript. The default request example is available above.

200400404500

200 · Requests from the other agents in the run

```json
{
  "requests": [
    {
      "requested_at": "2026-11-03T10:15:00Z",
      "session_id": "session_01933b5a00007000800000000000001",
      "tool_call": {}
    }
  ]
}
```

400 · Invalid session ID

No response body example is declared for this status.

404 · Session not found

No response body example is declared for this status.

500 · Internal server error

No response body example is declared for this status.

## Matching endpoints